History duplicate spam
Closed, ResolvedPublic

Description

Editing pages produces, about one case in several hundred, a whole bunch of duplicate revisions in the page history. This issue most likely cropped up with the recent sync to r41053.

Possibly related: [[Wikipedia:Village pump (technical)#Strange error]] (one of the articles there is listed below too).

Examples of this phenomenon follow (these are all sets of consecutive diffs):

http://en.wikipedia.org/w/index.php?title=2008&diff=239778370&oldid=239778233
http://en.wikipedia.org/w/index.php?title=2008&diff=next&oldid=239778370 http://en.wikipedia.org/w/index.php?title=2008&diff=next&oldid=239778382

http://en.wikipedia.org/w/index.php?title=Argentina_national_football_team&diff=239779781&oldid=239779072
http://en.wikipedia.org/w/index.php?title=Argentina_national_football_team&diff=next&oldid=239779781 http://en.wikipedia.org/w/index.php?title=Argentina_national_football_team&diff=next&oldid=239779793 then http://en.wikipedia.org/w/index.php?title=Argentina_national_football_team&diff=next&oldid=239779795 http://en.wikipedia.org/w/index.php?title=Argentina_national_football_team&diff=next&oldid=239779818

http://en.wikipedia.org/w/index.php?title=Stone_Cold_Steve_Austin&diff=prev&oldid=239780164
http://en.wikipedia.org/w/index.php?title=Stone_Cold_Steve_Austin&diff=next&oldid=239780164 then http://en.wikipedia.org/w/index.php?title=Stone_Cold_Steve_Austin&diff=next&oldid=239780168 http://en.wikipedia.org/w/index.php?title=Stone_Cold_Steve_Austin&diff=next&oldid=239780227 then http://en.wikipedia.org/w/index.php?title=Stone_Cold_Steve_Austin&diff=next&oldid=239780234 http://en.wikipedia.org/w/index.php?title=Stone_Cold_Steve_Austin&diff=next&oldid=239780333

http://en.wikipedia.org/w/index.php?title=United_Church_of_Christ&diff=239780794&oldid=239780725
http://en.wikipedia.org/w/index.php?title=United_Church_of_Christ&diff=next&oldid=239780794

http://en.wikipedia.org/w/index.php?title=Tottenham_Hotspur_F.C.&diff=239774277&oldid=239774244
http://en.wikipedia.org/w/index.php?title=Tottenham_Hotspur_F.C.&diff=next&oldid=239774277
http://en.wikipedia.org/w/index.php?title=Tottenham_Hotspur_F.C.&diff=next&oldid=239774278 then
http://en.wikipedia.org/w/index.php?title=Tottenham_Hotspur_F.C.&diff=next&oldid=239774418
http://en.wikipedia.org/w/index.php?title=Tottenham_Hotspur_F.C.&diff=next&oldid=239774493
http://en.wikipedia.org/w/index.php?title=Tottenham_Hotspur_F.C.&diff=next&oldid=239774497
http://en.wikipedia.org/w/index.php?title=Tottenham_Hotspur_F.C.&diff=next&oldid=239774505 then
http://en.wikipedia.org/w/index.php?title=Tottenham_Hotspur_F.C.&diff=next&oldid=239774909
http://en.wikipedia.org/w/index.php?title=Tottenham_Hotspur_F.C.&diff=next&oldid=239774964

http://en.wikipedia.org/w/index.php?title=Modern_Sounds_in_Country_and_Western_Music&diff=239782219&oldid=239782062
http://en.wikipedia.org/w/index.php?title=Modern_Sounds_in_Country_and_Western_Music&diff=next&oldid=239782219
http://en.wikipedia.org/w/index.php?title=Modern_Sounds_in_Country_and_Western_Music&diff=next&oldid=239782221
http://en.wikipedia.org/w/index.php?title=Modern_Sounds_in_Country_and_Western_Music&diff=next&oldid=239782223
http://en.wikipedia.org/w/index.php?title=Modern_Sounds_in_Country_and_Western_Music&diff=next&oldid=239782224

http://en.wikipedia.org/w/index.php?title=Viru_Viru_International_Airport&diff=239782313&oldid=239782117
http://en.wikipedia.org/w/index.php?title=Viru_Viru_International_Airport&diff=next&oldid=239782313


Version: 1.14.x
Severity: major

bzimport added a project: MediaWiki-Page-editing.Via ConduitNov 21 2014, 10:18 PM
bzimport set Reference to bz15656.
MER-C created this task.Via LegacySep 20 2008, 1:43 PM
MER-C added a comment.Via ConduitSep 20 2008, 1:50 PM

Most of the diffs above are to do with [[User:II MusLiM HyBRiD II]], who just complained about the problem described in the VPT thread, see http://en.wikipedia.org/w/index.php?title=User_talk%3AII_MusLiM_HyBRiD_II&diff=239782852&oldid=239263364 .

aaron added a comment.Via ConduitSep 20 2008, 3:46 PM

Seems like the user kept retrying and getting errors. What bothers me is that on failure, the entire transaction should have been rolled back.

aaron added a comment.Via ConduitSep 21 2008, 12:42 AM

*** Bug 15665 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitSep 21 2008, 12:49 AM

herd wrote:

Bah, didn't find this bug when searching, bad summary ^_^

Per closed bug comment, I was able to duplicate this with only three tries (Opening the [rollback] link a few times in new tabs):
http://test.wikipedia.org/w/index.php?title=Sandbox&diff=63617&oldid=63616&diffonly=true

tstarling added a comment.Via ConduitSep 21 2008, 8:12 AM

Should be fixed now, as of r41089.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.